Skip to main content
GET
/
v3
/
futures
/
leverage
cURL
curl --request GET \
  --url https://api.woox.io/v3/futures/leverage \
  --header 'x-api-key: <x-api-key>' \
  --header 'x-api-signature: <x-api-signature>' \
  --header 'x-api-timestamp: <x-api-timestamp>'
import requests

url = "https://api.woox.io/v3/futures/leverage"

headers = {
    "x-api-key": "<x-api-key>",
    "x-api-signature": "<x-api-signature>",
    "x-api-timestamp": "<x-api-timestamp>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {
    'x-api-key': '<x-api-key>',
    'x-api-signature': '<x-api-signature>',
    'x-api-timestamp': '<x-api-timestamp>'
  }
};

fetch('https://api.woox.io/v3/futures/leverage', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


// hedge mode
{
    "success": true,
    "data": {
        "symbol": "PERP_BTC_USDT",
        "marginMode": "CROSS",
        "positionMode": "HEDGE_MODE"
        "details": [
            {
                "positionSide": "LONG",
                "leverage": 10
            },
            {
                "positionSide": "SHORT",
                "leverage": 15
            }
        ]
    },
    "timestamp": 1711433755393
}


// one way
{
    "success": true,
    "data": {
        "symbol": "PERP_BTC_USDT",
        "marginMode": "CROSS",
        "positionMode": "ONE_WAY"
        "details": [
            {
                "positionSide": "BOTH",
                "leverage": 10
            }
        ]
    },
    "timestamp": 1711433755393
}


Limit 10 requests per 60 seconds
// hedge mode
{
    "success": true,
    "data": {
        "symbol": "PERP_BTC_USDT",
        "marginMode": "CROSS",
        "positionMode": "HEDGE_MODE"
        "details": [
            {
                "positionSide": "LONG",
                "leverage": 10
            },
            {
                "positionSide": "SHORT",
                "leverage": 15
            }
        ]
    },
    "timestamp": 1711433755393
}


// one way
{
    "success": true,
    "data": {
        "symbol": "PERP_BTC_USDT",
        "marginMode": "CROSS",
        "positionMode": "ONE_WAY"
        "details": [
            {
                "positionSide": "BOTH",
                "leverage": 10
            }
        ]
    },
    "timestamp": 1711433755393
}


Headers

x-api-key
string
required
Example:

"abcdef123456"

x-api-signature
string
required
Example:

"signaturestring"

x-api-timestamp
string
required
Example:

"1718943200000"

Query Parameters

symbol
string
required

Symbol name

marginMode
string
required

values: CROSS | ISOLATED

positionMode
string
required

values: ONE_WAY | HEDGE_MODE

Response

200 - application/json
success
boolean

true

timestamp
integer

timestamp

data
object